%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright Cambridge University Press 2010
% Book: Karl Mathia (2010), Robotics for Electronics Manufacturing - 
% Principles and Applications in Cleanroom Manufacturing
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% For Chapter 7, Example 7.6:

% RANDDATA.M creates normally distributed, random position data, i.e.
% attained path coordinates x1, x2, x3.

% Desired standard deviation and mean position
sigma_d = 0.05
mean_d = 0

% Commanded path xc(i), i=1,..,M: x-axis, so all y/z points are (0,0).
xc = [	0.2 0.4 0.6	0.8	1.0	1.2
        0.0	0.0	0.0	0.0	0.0	0.0
        0.0	0.0	0.0	0.0	0.0	0.0];

x1_rand = mean_d + sigma_d * randn(3,6);
x2_rand = mean_d + sigma_d * randn(3,6);
x3_rand = mean_d + sigma_d * randn(3,6);
    
x1 = xc + x1_rand
x2 = xc + x2_rand
x3 = xc + x3_rand

mean1 = mean(x1)
sigma1 = std(x1)
mean2 = mean(x2)
sigma2 = std(x2)
mean3 = mean(x3)
sigma3 = std(x3)


%save randdata